<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class JobOrdersExecutors extends Model
{
    use HasFactory;
           protected $table = 'job_orders_executors';
      protected $fillable = [
                'Product',
                'Executor',
                'Order',
                'Status',
    ];
    
    
    
               public function Product()
    {
        return $this->belongsTo(Products::class,'Product');
    }
            public function Order()
    {
        return $this->belongsTo(JobOrder::class,'Order');
    }
              public function Executor()
    {
        return $this->belongsTo(Employess::class,'Executor');
    }
}
